<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));


	var header = [
			{ title: 'ID', field: 'id', type: 'number', sortable: true },
			{ title: 'Verification Type', field: 'verification_methodes', type: 'string', sortable: true },
            { title: 'Status', field: 'status', type: 'VerificationTypeToggleButton', sortable: false }
	];

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: header,
		sort: {
			field: 'id',
			dir: 'desc'
		},
		actions: [],
		data: new Cubix.Grid.Loader({ url: '<?= $this->baseUrl() ?>/verifications/verification-types/data' })
	});
    grid.addEvent('loaded', function () {
        $$('.cx-grid-type-VerificationTypeToggleButton a').addEvent('click', function (e) {
            e.stop();

            new Request({
                url: this.get('href'),
                method: 'get',
                onSuccess: function(){
                    grid.load();
                }
            }).send();
        });
    });
};
</script>

<div class="mt10">
	<a id="btn-create"></a>
	<div class="clear"></div>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
